[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TDataModule.AfterConstruction

Overrides standard TObject behaviour.

## Declaration

Source position: classesh.inc line 1926

`public procedure TDataModule.AfterConstruction; override;`

## Description

AfterConstruction calls the OnCreate handler if the OldCreateOrder property is False.

## See also

TDataModule.OldCreateOrder |  | Determines when OnCreate and OnDestroy are triggered.
TDataModule.OnCreate |  | Event handler, called when the datamodule is created.

Documentation generated on: Feb 26 2014